<!doctype html>

<html lang="en">

{% load static %}

<head>
    <title>My FUFU</title>
    <link rel="icon" href="{% static 'icon.png' %}" type="icon">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% include 'navbarFufu.html' %}
</head>

<body>

<main>

    <div class="m-4 p-4">

        <div class="myfufu-title-container">
            <h1>My FUFU</h1>
        </div>

        <div class="myfufu-subtitle-container">
            <h4>Edit or delete your message</h4>
        </div>

        <div class="myfufu-list">
            {% if fufus|length > 0 %}
            {% for fufu in fufus %}

            <div class="card w3-animate-bottom">

                <div class="card-body">
                    <h5 class="card-title">From: {{ fufu.From }}</h5>
                    <p class="card-text">{{ fufu.Message }}</p>
                </div>

                <div class="btn-toolbar" role="group" aria-label="Basic mixed styles example" style="float: right;">
                    <a class="edit-icon" href="/{{ fufu.id }}/edit"><img src="https://image.flaticon.com/icons/png/512/84/84380.png" style="width:20px;height:20px;"></a>
                    <a class="delete-icon" onclick="delete_func(this, {{ fufu.id }})"><img src="https://cdn1.iconfinder.com/data/icons/jumpicon-basic-ui-glyph-1/32/-_Trash-Can--512.png" style="width:25px;height:25px;"></a>
                </div>

            </div>

            {% endfor %}
            {% else %}

            <div class="slider" style="place-items: center">

                <div class="slide-track">

                    <div class="no-fufus w3-animate-right">
                        <h2 class="no-fufu">You haven't add any FUFU</h2>
                        <a class="no-fufu-msg" href="/fufu/" style="font-size:23px">Add your FUFU on FUFU page</a>
                    </div>

                </div>

            </div>

            {% endif %}

        </div>

    </div>

</main>

</body>

</html>

<script>
    function delete_func(e, id) {
        e.parentNode.parentNode.remove();
        const ajax = new XMLHttpRequest();
        ajax.onload= function () {
            Swal.fire({
                icon: 'success',
                title: 'Success',
                text: 'Successfully delete FUFU',
            })
        };
        ajax.open("GET", "/" + id + "/delete");
        ajax.send();
    }
</script>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400&display=swap');

    body {
        background-image: url('/static/pattern-randomized.svg');
        margin: 0;
        padding: 0;
        overflow-x: hidden;
    }
    body .slider-container{
        display: block;
        place-items: center;
    }
    * {
        font-family: 'Sora', sans-serif;
    }
    .myfufu-title-container {
        width: 100%;
        margin-top: 158px;
        margin-left: 7px;
        float: left;
    }
    h1 {
        font-weight: bold;
        cursor: default;
    }
    .myfufu-subtitle-container {
        margin-top: 0px;
        margin-left: 100px;
    }
    h4 {
        font-style: italic;
        cursor: default;
    }
    .myfufu-list {
        display: inline-grid;
        grid-template-columns: auto auto auto auto;
        grid-row-gap: 30px;
        padding-top: 50px;
        padding-left: 50px;
        padding-bottom: 50px;
        overflow-wrap: break-word;
    }
    .card-title {
        width: 149px;
        height: 20px;

        font-style: normal;
        font-weight: bold;
        font-size: 14px;
        line-height: 16px;

        letter-spacing: 0.75px;
        cursor: default;
    }
    .card-text {
        width: 169px;
        height: 152px;

        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 16px;

        letter-spacing: 0.75px;
        cursor: default;
    }
    .btn-toolbar {
        position: absolute;
        bottom: 0px;
        right: 0px;
        margin: 1rem;
    }
    .edit-icon {
        position: relative;
        margin-right: 10px;
    }
    .delete-icon {
        position: relative;
        margin-right: 10px;
    }
    .card w3-animate-bottom {
        display: flex;
    }
    .card {
		width: 200px;
        height: 260px;
		margin: 0px 20px;
		background: #f4f4f4;
		position: relative;
		display: flex;
		justify-content: center;
		flex-direction: column;
		padding: 15px;
		border-radius: 5px;
        align-items: center;
        overflow-wrap: break-word;
        transition: transform 0.1s;
        border-color: black;
        border-style: solid;
	}
    .card:hover {
		box-shadow: 10px 5px 5px #308a7e;
        transform: scale(1.1);
	}
	.no-fufus {
        margin-bottom: 70px;
        text-align: center;
        margin-right: 150px;
    }
    .no-fufu {
        color: #a1a1a1;
        width: 100%;
        cursor: default;
    }
    .no-fufu-msg {
        color: #a1a1a1;
        width: 100%;
        font-style: normal;
        cursor: default;
    }
    slider-container {
        height: 310px;
        width: 100%;
        display: grid;
        place-items: center;
        margin: 0px;
    }
    .slider {
        height: 310px;
        margin-left: 50px;
        position: relative;
        width: 1782px;
        display: grid;
        place-items: baseline;
        padding-top: 20px;
        overflow: hidden;
    }
</style>
